Name: bochs
Version: 2.3
Release: alt3

Summary: Bochs Project x86 PC Emulator
Summary(ru_RU.KOI8-R):  Bochs --  x86 PC

License: LGPL
Group: Emulators
Url: http://bochs.sourceforge.net

Packager: Ilya Mashkin <oddity at altlinux.ru>

Source: %name-%version.tar.gz
Source1: bochs.sh

# Automatically added by buildreq on Fri Sep 15 2006
BuildRequires: docbook-utils gcc-c++ libgtk+2-devel imake libpcap-devel libreadline-devel libXpm-devel libXt-devel wget wxGTK2u-devel xorg-cf-files zlib-devel

#uildRequires: OpenSP XFree86-libs docbook-dtds docbook-style-dsssl docbook-utils gcc-c++ glib gtk+-devel hostinfo libjpeg libncurses-devel libpcap-devel libreadline-devel libstdc++-devel libtiff openjade sgml-common wxGTK-devel xml-common

%description
Bochs is a portable x86 PC emulation software package that emulates enough of
the x86 CPU, related AT hardware, and BIOS to run DOS, Windows '95, Minix 2.0,
and other OS's, all on your workstation.

%description -l ru_RU.KOI8-R
Bochs --        x86 PC,
   x86,    AT
 BIOS   DOS, Windows '95, Minix 2.0,   
    .

%prep
%setup -q
%__cp %SOURCE1 bochs.sh
%__subst "s|bios/|/usr/share/bochs/|" ./.bochsrc
%__subst "s|#config_interface: wx|config_interface: wx|" ./.bochsrc
%__subst "s|#display_library: wx|display_library: wx|" ./.bochsrc

%build
%configure --enable-fpu --enable-cdrom --enable-sb16=linux  --enable-split-hd  --enable-ne2000 --with-x11 --with-wx --enable-vbe --enable-pci --enable-usb --enable-mmx

%make

%install
%makeinstall

mkdir -p $RPM_BUILD_ROOT%_menudir
cat >$RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name): command="%name-gui" \\
section="Applications/Emulators" \\
title="Bochs" \\
longtitle="Bochs Project x86 PC Emulator" \\
genericname="Emulator" \\
icon=%name.xpm \\
needs="x11"
EOF

install -p -m755 bochs.sh $RPM_BUILD_ROOT/%_bindir/%name-gui
install -D -m 644 gui/icon_%name.xpm $RPM_BUILD_ROOT/%_iconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%_datadir/%name
%_man1dir/*
%_man5dir/*
%_docdir/%name
%_menudir/%name
%_iconsdir/*

%changelog
* Sat Dec 23 2006 Ilya Mashkin <oddity at altlinux.ru> 2.3-alt3
- rebuild with wxGTK2u

* Tue Nov 07 2006 Ilya Mashkin <oddity at altlinux.ru> 2.3-alt2
- fix build

* Fri Sep 15 2006 Ilya Mashkin <oddity at altlinux.ru> 2.3-alt1
- New version 2.3

* Mon Feb 06 2006 Ilya Mashkin <oddity at altlinux.ru> 2.2.6-alt1
- New version 2.2.6

* Wed Jan 18 2006 Ilya Mashkin <oddity at altlinux.ru> 2.2.5-alt1
- New version 2.2.5

* Sat Nov 20 2005 Ilya Mashkin <oddity at altlinux.ru> 2.2.1-alt1
- New version 2.2.1

* Wed Jan 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 2.1.1-alt2.1.1
- Rebuilt with libstdc++.so.6.

* Tue Jun 22 2004 Vitaly Lipatov <lav@altlinux.ru> 2.1.1-alt2.1
- move to Applications/Emulators menu section

* Sun Jun 20 2004 Vitaly Lipatov <lav@altlinux.ru> 2.1.1-alt2
- rebuild
- add icon

* Wed Feb 18 2004 Vitaly Lipatov <lav@altlinux.ru> 2.1.1-alt1
- new version
- build with --enable-vbe --enable-pci --enable-usb --enable-mmx

* Mon Jan 05 2004 Vitaly Lipatov <lav@altlinux.ru> 2.1-alt0.1pre3
- CVS version
- build with gcc 3.3

* Thu Jun 26 2003 Stanislav Ievlev <inger@altlinux.ru> 2.0.2-alt2.1
- really rebuild with new wxGTK

* Fri Jun 20 2003 Andrey Astafiev <andrei@altlinux.ru> 2.0.2-alt2
- rebuilt with new wxGTK

* Mon Apr 07 2003 Vitaly Lipatov <lav@altlinux.ru> 2.0.2-alt1
- new version
- fixed bug #2489 (condrestart for xfs)
- build with wxWindows support
- add menu entry
- add shell wrapper for start from menu
- update buildreq

* Fri Jan 10 2003 Vitaly Lipatov <lav@altlinux.ru> 2.0.1-alt1
- cleanup spec
- new version
- add buildrequires

* Fri Nov 02 2002 Vitaly Lipatov <lav@altlinux.ru> 1.4.1-alt1
- first build for Sisyphus
- spec adapted
- dlxlinux disabled

* Sat Aug 31 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.4.1-2mdk
- rebuild

* Wed Jul 24 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 1.4.1-1mdk
- upgraded to 1.4.1 (service release)

* Tue May 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.4-3mdk
- rebuild against new libstdc++

* Mon Apr 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.4-2mdk
- fix %post & %pre by adding %version to cure problem when
  version changes ( thx Quel Qun )

* Sat Mar 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.4-1mdk
- 1.4

* Tue Feb 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.3-1mdk
- new

